## langpack-locales 2.3.18.45

=== Makefile ===
#!/usr/bin/make -f

TZSOURCE=$(CURDIR)/tzsource
TZGEN=$(CURDIR)/tzgen

TIMEZONE_LIST := \
	africa \
	antarctica \
	asia \
	australasia \
	europe \
	northamerica \
	southamerica \
	etcetera \
	factory \
	solar87 \
	solar88 \
	solar89 \
	backward \
	systemv

all: tzgen

tzgen: tzsource $(TIMEZONE_LIST)

.PHONY: $(TIMEZONE_LIST)
$(TIMEZONE_LIST):
	zic -d $(TZGEN) -L /dev/null -y $(TZGEN)/yearistype.sh $(TZSOURCE)/$@
	zic -d $(TZGEN)/posix -L /dev/null -y $(TZGEN)/yearistype.sh $(TZSOURCE)/$@
	zic -d $(TZGEN)/right -L $(TZSOURCE)/leapseconds -y $(TZGEN)/yearistype.sh $(TZSOURCE)/$@

tzsource:
	mkdir -p $(TZSOURCE)
	for x in $$(ls debian/tzdata*.tar.gz); do \
		tar -xzvC $(TZSOURCE) -f $${x} ;\
	done

clean:
	rm -rf $(TZSOURCE) $(TZGEN)

install:

## langpack-locales 2.3.18

=== debian/changelog ===
langpack-locales (2.3.18) dapper; urgency=low

  * bn_BD: Fix LC_TIME.abday and LC_TIME.day with patch from
    http://sources.redhat.com/bugzilla/show_bug.cgi?id=2662. Closes: LP#44982

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 16 May 2006 12:56:35 +0200

langpack-locales (2.3.17) dapper; urgency=low

  * Update timezone data to 2006g.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 15 May 2006 17:21:07 +0200

langpack-locales (2.3.16) dapper; urgency=low

  * Add and ship forgotten file iso-639.def; this fixes generation of e. g.
    the bn_BD locale.
  * locales/en_IE: Add AM/PM definition. Closes: LP#42552

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 10 May 2006 13:27:24 +0200

langpack-locales (2.3.15) dapper; urgency=low

  * locales/ca_ES@valencia: Add Valencian locale, thanks to Jordi Mallach and
    Robert Millan. Closes: LP#39681

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 28 Apr 2006 13:14:56 +0200

langpack-locales (2.3.14) dapper; urgency=low

  * locales/{en,cy}_GB: Add AM/PM definition. (See Malone #34262).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Apr 2006 12:57:24 +0200

langpack-locales (2.3.13) dapper; urgency=low

  * locales/tr_TR: Re-add trailing space in int_curr_symbol, it is correct.
    Closes: LP#34738
  * Fix Catalan locales (sync with Debian), thanks to Robert Millan.
    - Add Euro support to ca_FR and ca_AD.
    - Remove obsolete ca_FR@euro and ca_AD@euro.
    - Add ca_IT.
    - List them all in SUPPORTED file.
    - Closes: LP#37011

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 30 Mar 2006 17:35:33 +0200

langpack-locales (2.3.12) dapper; urgency=low

  * locales/en_NZ: Add AM/PM definition (Malone #34262)
  * locales/tr_TR: Fix stray space in int_curr_symbol (Malone #34738)
  * locales/eo: Rename to eo_XX, since that's the format that other programs
    expect (Malone #23435)
  * locales/es_CO: Change standard paper size from A4 to US Letter. (Malone
    #27622)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 20 Mar 2006 16:42:09 +0100

langpack-locales (2.3.11) dapper; urgency=low

  * Add debhelper token to postinst.

  * Move timezone configury logic from libc.postinst to locales.postinst

  * Update FSF address.

  * Update to tzdata2006b

 -- Jeff Bailey <jbailey@ubuntu.com>  Wed,  1 Mar 2006 13:52:44 -0500

langpack-locales (2.3.10) dapper; urgency=low

  * Add iso3166.tab and zone.tab files into /usr/share/zoneinfo.

 -- Jeff Bailey <jbailey@ubuntu.com>  Fri,  3 Feb 2006 15:59:56 +0000

langpack-locales (2.3.9) dapper; urgency=low

  * Transform into a native package to handle embedded tar.gz file.

  * Add timezones.
    - debian/updatetzdata.sh: New file.
    - debian/tzdata2006a.tar.gz: New upstream snapshot.

  * Remove stray bits from debian/control
    - debian/control: Don't build-dep on po4a

 -- Jeff Bailey <jbailey@ubuntu.com>  Fri,  3 Feb 2006 09:51:59 +0000

langpack-locales (2.3.8-1) dapper; urgency=low

  * Update to latest belocs locales.
    - Fixes first day of week for German. (Malone #5387) and Spanish 
      (Malone #29672).
  * debian/control: Add dependency to belocs-locales-bin.
  * Do not ship locale-gen and {install,remove}-language-pack any more, these
    were moved to belocs-locales-bin.
  * debian/locales.postinst: Check $1, call locale-gen with full path.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed,  1 Feb 2006 22:36:27 +0000

langpack-locales (2.3.7-6) dapper; urgency=low

  * Allow locale-gen with locale arguments to work even when no language
    packs have been installed yet (i.e. /var/lib/locales/supported.d/ is
    empty).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Jan 2006 19:07:51 +0000

langpack-locales (2.3.7-5) dapper; urgency=low

  * (re)generate locales in postinst.
  * always regenerate locales if they're specified on the command line.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 13 Jan 2006 13:40:18 +0100

langpack-locales (2.3.7-4) dapper; urgency=low

  * Add validlocale program, formerly in base-config. Conflict with and
    replace base-config.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  2 Jan 2006 19:08:00 +0000

langpack-locales (2.3.7-3) dapper; urgency=low

  * debian/preinst:
    - Remove old /etc/locale.gen after migrating it to supported.d/.
    - Do not fail if locale.gen does not contain anything but comments.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun,  1 Jan 2006 14:12:06 +0100

langpack-locales (2.3.7-2) dapper; urgency=low

  * debian/preinst: Make sure that /var/lib/locales/supported.d/ exists.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 28 Dec 2005 15:15:51 +0100

langpack-locales (2.3.7-1) dapper; urgency=low

  * Ship all locales again, the language packs do not ship them any more (as
    discussed in yesterday's meeting).
  * debian/preinst: Rescue /etc/locale.gen to
    /var/lib/locales/supported.d/local on upgrades.
  * locale-gen:
    - Drop --utf8 parameter again, it is obsolete now. The language pack's
      supported.d files only have UTF-8 locales and we might want to support
      other encodings in the future.
    - Command line arguments now can specify a list of languages and locales
      which will be generated in addition to the ones supported by the
      language packs.
  * Adapted locale-gen.8 manpage for new behaviour.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 20 Dec 2005 17:26:16 +0100

langpack-locales (2.3.6-3) dapper; urgency=low

  * {install,remove}-language-packs: Reload gdm to make it aware of
    new/removed locales. (Ubuntu #16687)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 13 Dec 2005 16:17:48 +0100

langpack-locales (2.3.6-2) dapper; urgency=low

  * Fix permissions of install/remove hooks.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu,  1 Dec 2005 21:01:14 +0100

langpack-locales (2.3.6-1) dapper; urgency=low

  * Initial release as a standalone Ubuntu specific package according to
    https://wiki.ubuntu.com/LocalesThatDontSuck.


=== debian/control ===
Source: langpack-locales
Section: base
Priority: important
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends-Indep: cdbs, debhelper (>> 4)
Standards-Version: 3.6.2

Package: locales
Architecture: all
Depends: belocs-locales-bin (>= 2.3.5-5ubuntu1)
Conflicts: belocs-locale-data, base-config
Replaces: belocs-locale-data, base-config, libc6 (<< 2.3.6-0ubuntu6), libc6.1 (<< 2.3.6-0ubuntu6)
Description: common files for locale support
 This package provides support for localized environments (locales).
 It installs character and transliteration maps, provides the POSIX
 locale definition and provides common scripts for language pack
 handling.
 .
 The actual locale definitions are not part of this package, these are
 shipped in the language packs and are installed and removed
 automatically.

## langpack-locales 2.3.18.45

=== debian/changelog ===
langpack-locales (2.3.18.45) dapper-proposed; urgency=low

  * Replace tzdata2011e.tar.gz with tzdata2011g.tar.gz:
    - Egypt abandons DST in 2011 (and forward)
      (thanks to Alexander Krivenyshev)
    - LP: #770622

 -- Gary Lasker <gary.lasker@canonical.com>  Tue, 26 Apr 2011 11:14:22 -0400

langpack-locales (2.3.18.44) dapper-proposed; urgency=low

  * Replace tzdata2011d.tar.gz with tzdata2011e.tar.gz:
    - africa: Add start and end of DST in 2011 in Morocco.
    - southamerica: For Chile, delay end of DST in 2011 from April 2nd to May 7th
    - LP: #747946

 -- Gary Lasker <gary.lasker@canonical.com>  Sat, 02 Apr 2011 17:22:26 -0400

langpack-locales (2.3.18.43) dapper-proposed; urgency=low

  * Replace tzdata2011c.tar.gz with tzdata2011d.tar.gz:
    - Samoa: Update DST rules (effective April 2nd, 2011)
    - Cuba: Update DST rules (effective March 13th, 2011)
    - Turkey: Update DST rules (effective March 27th, 2011)
    - LP: #735058

 -- Gary Lasker <gary.lasker@canonical.com>  Mon, 14 Mar 2011 17:36:51 -0400

langpack-locales (2.3.18.42) dapper-proposed; urgency=low

  * Replace tzdata2011b.tar.gz with tzdata2011c.tar.gz:
    - leapseconds: Update notice from IERS (change to commentary only)
    - northamerica, zone.tab: Replace Juneau with Juneau, Sitka, and Metlakatla
    - southamerica: For Chile, delay end of DST in 2011 from March 12th to
      April 2nd
    - LP: #730873

 -- Gary Lasker <gary.lasker@canonical.com>  Mon, 07 Mar 2011 17:20:45 -0500

langpack-locales (2.3.18.41) dapper-proposed; urgency=low

  * Replace tzdata2010o.tar.gz with tzdata2011b.tar.gz:
    - South Australia: Update historic DST rules
    - Hawaii: Update historic DST rules
    - zone.tab: America/North_Dakota/Beulah - add new time zone,
      Asia/Makassar, Asia/Jayapura - update terms for Indonesian islands
    - LP: #716831

 -- Gary Lasker <gary.lasker@canonical.com>  Sun, 13 Feb 2011 18:02:09 -0500

langpack-locales (2.3.18.40) dapper-proposed; urgency=low

  * Replace tzdata2010m.tar.gz with tzdata2010o.tar.gz:
    - Fiji: Update DST rules (effective March 2011)
    - Samoa: Update DST rules (effective April 2011)
    - LP: #672808

 -- Gary Lasker <gary.lasker@canonical.com>  Wed, 10 Nov 2010 16:48:33 -0500

langpack-locales (2.3.18.39) dapper-proposed; urgency=low

  * Replace tzdata2010l.tar.gz with tzdata2010m.tar.gz: 
    - Asia: No DST in Hong Kong in 1977
    - zone.tab: Remove obsolete association of Vostok Station with
      South Magnetic Pole; add association with Lake Vostok
      (thanks to Petr Machata for finding the problem)
    - LP: #649348

 -- Gary Lasker <gary.lasker@canonical.com>  Wed, 06 Oct 2010 17:11:44 -0400

langpack-locales (2.3.18.38) dapper-proposed; urgency=low

  * Replace tzdata2010k.tar.gz with tzdata2010l.tar.gz:
    - Egypt: Update DST rules (effective from Aug 11)
    - Palestine: Update DST rules (effective from Aug 11)
    - LP: #623630

 -- Gary Lasker <gary.lasker@canonical.com>  Tue, 24 Aug 2010 20:47:56 -0400

langpack-locales (2.3.18.37) dapper-proposed; urgency=low

  * Replace tzdata2010j.tar.gz with tzdata2010k.tar.gz:
    - Egypt: Update DST rules (effective from August 10)
    - Finland: Update historic DST rules
    - Micronesia: Zone name changes
    - LP: #613691

 -- Gary Lasker <gary.lasker@canonical.com>  Thu, 05 Aug 2010 00:14:55 -0400

langpack-locales (2.3.18.36) dapper-proposed; urgency=low

  * Replace tzdata2010i.tar.gz with tzdata2010j.tar.gz: 
    - America/Bahia_Banderas: Add new time zone
    - LP: #582529

 -- Gary Lasker <gary.lasker@canonical.com>  Wed, 02 Jun 2010 17:19:19 -0400

langpack-locales (2.3.18.35) dapper-proposed; urgency=low

  * Replace tzdata2010h.tar.gz with tzdata2010i.tar.gz:
     - Morocco: Update DST rules (effective from May 2)
     - Taiwan: Update historic DST rules
     - SanLuis: Update DST rules (effective from April 11)
     - LP: #572103

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Apr 2010 10:10:34 +0200

langpack-locales (2.3.18.34) dapper-proposed; urgency=low

  * Replace tzdata2010g.tar.gz with tzdata2010h.tar.gz:
    - Africa/Tunis (Tunesia): Drop DST permanently. (LP: #550157)
    - Asia/Karachi (Pakistan): Drop DST permanently.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Apr 2010 10:40:57 +0200

langpack-locales (2.3.18.33) dapper-proposed; urgency=low

  * Replace tzdata2010e.tar.gz with tzdata2010g.tar.gz:
    - DST rule updates: Bangladesh, Palestine, Syria, various Antarctica
      regions, Pacific/Apia.
    - Russia: Some time zones moved: Europe/Samara, Asia/Kamchatka,
      Asia/Anadyr (LP: #540295)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 29 Mar 2010 19:37:36 +0200

langpack-locales (2.3.18.32) dapper-proposed; urgency=low

  * Replace tzdata2009u.tar.gz with tzdata20103.tar.gz: (LP: #532924)
    - Chile: Extraordinary DST prolongation for 2009
    - Samoa: Update DST rules
    - Fiji: Update DST rules (starts a month earlier now)
    - Bangladesh: Fix DST rule (starts one minute earlier), and fix historic
      DST change for 2009.
    - Paraguay: Fix DST rule (starts on first Sunday)
    - Mexico: Northern cities now follow U.S. DST rules (timezone split)
    - Paraguay: Update DST rules (effective from March 2010)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 10 Mar 2010 08:11:39 +0100

langpack-locales (2.3.18.30) dapper-proposed; urgency=low

  * Replace tzdata2009s.tar.gz with tzdata2009u.tar.gz:
    - Bangladesh DST change (effective from 2010-01-01) (LP: #502110)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 02 Jan 2010 21:09:08 +0100

langpack-locales (2.3.18.29) dapper-proposed; urgency=low

  * Replace tzdata2009r.tar.gz with tzdata2009s.tar.gz:
    - Fix a typo in Antarctica/Davis DST rules
    - Fiji will use DST this year (effective from Nov 29)
    - LP: #486351

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 23 Nov 2009 12:47:14 +0100

langpack-locales (2.3.18.28) dapper-proposed; urgency=low



## langpack-locales 2.3.22

=== debian/changelog ===
langpack-locales (2.3.22) edgy; urgency=low

  * Drop belocs-locales-bin Pre-Depends: to a Depends: again, now that b-l-b
    does not depend on us any more. Closes: LP#62429

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri,  6 Oct 2006 12:57:26 +0200

langpack-locales (2.3.21) edgy; urgency=low

  * lv_LV: Fix abbreviated day names. Closes: LP#58338
  * debian/control: Pre-Depend on belocs-locales-bin instead of just depending
    on it, so that an updated locale-gen.conf actually has an effect. Closes:
    LP#50739

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Sep 2006 11:20:29 +0200

langpack-locales (2.3.20) edgy; urgency=low

  * Synchronize data with belocs-locale-data 2.4-2.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri,  4 Aug 2006 12:49:16 +0200

langpack-locales (2.3.19) edgy; urgency=low

  * Depends on newer belocs-locales-bin

  * Drop timezone bits, depend on tzdata.

 -- Jeff Bailey <jbailey@ubuntu.com>  Wed, 21 Jun 2006 13:28:15 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 
 Package: locales
 Architecture: all
-Depends: belocs-locales-bin (>= 2.3.5-5ubuntu1)
+# tzdata is here until edgy releases.
+Depends: belocs-locales-bin (>= 2.4), tzdata
 Conflicts: belocs-locale-data, base-config
 Replaces: belocs-locale-data, base-config, libc6 (<< 2.3.6-0ubuntu6), libc6.1 (<< 2.3.6-0ubuntu6)
 Description: common files for locale support

## langpack-locales 2.3.23

=== debian/changelog ===
langpack-locales (2.3.23) feisty; urgency=low

  * Synchronize to belocs-locales-data 2.4-5 locales, lots of fixes.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 14 Dec 2006 06:40:50 +0100

## langpack-locales 2.13+git20120306

=== debian/changelog ===
langpack-locales (2.13+git20120306-12) trusty; urgency=medium

  * debian/patches/ubuntu-es_DO-am_pm.patch:
    Define 12-hours a.m./p.m. format (LP: #1288843).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 09 Mar 2014 01:21:00 +0100

langpack-locales (2.13+git20120306-11) trusty; urgency=medium

  * ubuntu-es_EV.patch: Use upstream glibc es_VE as a base (LP: #1283152)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 21 Feb 2014 12:03:46 -0700

langpack-locales (2.13+git20120306-10) trusty; urgency=low

  * debian/patches/ubuntu-it_IT-thousands_sep.patch:
    Use a dot as the thousands_sep (LP: #1279558).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 14 Feb 2014 10:34:27 -0800

langpack-locales (2.13+git20120306-9) raring; urgency=low

  * debian/patches/debian-submitted-bz9725-locale-sv_SE.diff:
    Correction of date_fmt in sv_SE:
    - Incorrect '+' characters removed (LP: #1002987).
    - Time separator changed to ':' to be consistent with t_fmt and
      d_t_fmt.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 20 Mar 2013 12:47:00 +0100

langpack-locales (2.13+git20120306-8) raring; urgency=low

  * debian/local/remove-language-pack: Fix typo preventing removing
    both locales in case of zh-han[st] (LP: #1094872).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 23 Feb 2013 18:12:00 +0100

langpack-locales (2.13+git20120306-7) raring; urgency=low

  * debian/local/remove-language-pack: Keep any locales for that language
    which are listed in /var/lib/locales/supported.d/local (LP: #1094872).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Feb 2013 12:45:29 +0000

langpack-locales (2.13+git20120306-6) raring; urgency=low

  * debian/patches/ubuntu-la_AU.patch, debian/patches/ubuntu-tlh_UK.patch:
    Drop support for Latin and Klingon (LP: #1128566)

 -- Gabor Kelemen <kelemeng@ubuntu.com>  Mon, 18 Feb 2013 07:31:29 +0100

langpack-locales (2.13+git20120306-5) raring; urgency=low

  * debian/patches/ubuntu-bn-language.patch: Use the official name Bangla
    for the language spoken in Bangladesh (LP: #991002, LP: #1070581).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 04 Feb 2013 17:32:38 +0100

langpack-locales (2.13+git20120306-4) raring; urgency=low

  * debian/local/remove-language-pack: Handle the special language codes
    zh-hans and zh-hant correctly (LP: #863378).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 30 Jan 2013 06:50:38 +0100

langpack-locales (2.13+git20120306-3) precise; urgency=low

  * Rename ubuntu-ug_US.patch to ubuntu-ug_CN@latin.patch, and also add it to
    SUPPORTED.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Apr 2012 12:03:04 +0200

langpack-locales (2.13+git20120306-2) precise; urgency=low

  * Add ubuntu-ug_US.patch: Latin Uyghur locale, thanks Eagle Burkut!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Apr 2012 08:13:04 +0200

langpack-locales (2.13+git20120306-1) precise; urgency=low

  * Update to current upstream glibc git head localedata.
  * Drop ubuntu-brx_IN.patch, ubuntu-nl_BE-monetary.patch,
    ubuntu-wal_ET-SUPPORTED.patch: Applied upstream.
  * Unfuzz other patches.
  * Add ubuntu-ug_CN.patch: Updates to Uyghur locale, thanks Eagle Burkut.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Mar 2012 10:40:25 +0100

langpack-locales (2.13+git20111116-1) precise; urgency=low

  * Update to current upstream glibc git head localedata.
  * Unfuzz patches for the current upstream version.
  * Add ubuntu-brx_IN.patch. (LP: #874909)
  * Add ubuntu-nl_BE-monetary.patch: Use Dutch monetary format for nl_BE.
    (LP: #586742)
  * Add ubuntu-en_ZA-decimal.patch: South Africa uses comma as a decimal
    separator. (LP: #887395)
  * debian/control: Bump Standards-Version to 3.9.2. No changes necessary.
  * Switch to 3.0 (quilt) source format.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 16 Nov 2011 12:02:43 +0100

langpack-locales (2.13+git20110622-2) oneiric; urgency=low

  * Never purge /usr/lib/locale/C.UTF-8, as it's owned by the libc-bin
    package.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Sep 2011 14:15:29 +0100

langpack-locales (2.13+git20110622-1) oneiric; urgency=low

  * Update charmaps from upstream as well as locales.
    - Add CP770, CP771, CP772, CP773, and CP774 charmaps.
    - Update GB18030 to GB18020-2005.
    - Update UTF-8, in particular to include the rupee symbol (LP: #799673).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Jun 2011 12:24:00 +0100

langpack-locales (2.13+git20110617-1) oneiric; urgency=low

  * Update to current upstream glibc git head localedata.
    - Add bem_ZM and en_ZM. (LP: #796591)
  * Drop patches which got applied upstream:
    - debian-submitted-bz9732-dz_BT-collation.diff
    - ubuntu-sv_FI-dateformat.patch
    - ubuntu-ru_RU-daymonthnames.patch
    - ubuntu-lb_LU.patch
    - ubuntu-sw.patch
    - ubuntu-es_NI-currency.patch
    - ubuntu-en_SG-timeformat.patch
    - ubuntu-es_NI-papersize.patch
  * Update other patches for new upstream version.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Jun 2011 09:15:31 +0200

langpack-locales (2.13+git20100825-4) natty; urgency=low

  * Add ubuntu-es_NI-currency.patch: Fix LC_MONETARY symbol. Thanks Leandro
    Gómez for the patch! (LP: #546581)
  * Add ubuntu-en_SG-timeformat.patch: Fix strange date format. Thanks KH Teo
    for the patch! (LP: #699886)
  * Add ubuntu-es_NI-papersize.patch: The standard paper size in Nicaragua is
    US Letter, not A4. Thanks Leandro Gómez for the patch! (LP: #586700)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 15 Mar 2011 17:32:38 +0100

langpack-locales (2.13+git20100825-3) natty; urgency=low

  * debian/rules: Add "pull-upstream" rule to grab the current glibc git head
    locale data.
  * Add ubuntu-sw.patch: Add sw_KE and sw_TZ, thanks Claude Paroz!
    (LP: #237130)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 09 Mar 2011 19:01:10 +0100

langpack-locales (2.13+git20100825-2) natty; urgency=low



=== debian/control ===
Source: langpack-locales
Section: libs
Priority: important
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2

Package: locales
Architecture: all
Depends: libc6 (>= 2.9-0ubuntu10) | libc6.1 (>= 2.9-0ubuntu10), ${misc:Depends}
Conflicts: belocs-locale-data, base-config
Replaces: belocs-locale-data, belocs-locales-bin, base-config, libc6 (<< 2.3.6-0ubuntu6), libc6.1 (<< 2.3.6-0ubuntu6)
Description: common files for locale support
 This package provides support for localized environments (locales).
 It installs character and transliteration maps, provides the POSIX
 locale definition and provides common scripts for language pack
 handling.
 .
 The actual locale definitions are not part of this package, these are
 shipped in the language packs and are installed and removed
 automatically.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	mkdir -p debian/locales/usr/share/i18n
	sed '/^SUPPORTED/d; s/ \\$$//; s_/_ _' < SUPPORTED > debian/locales/usr/share/i18n/SUPPORTED
	chmod a+x debian/locales/usr/share/locales/*-language-pack
	gzip -9 debian/locales/usr/share/i18n/charmaps/*

pull-upstream:
	for link in `wget -q -O- 'http://sourceware.org/git/?p=glibc.git;a=tree;f=localedata/charmaps;hb=HEAD' | grep -o '/git/[^"]*a=blob_plain;[^"]*'`; do \
	    charmap=`echo "$$link" | sed -r 's_.*/([-a-zA-Z0-9,.@_]+);.*$$_\1_'`; \
	    wget -O charmaps/$$charmap "http://sourceware.org$$link"; \
	done
	for link in `wget -q -O- 'http://sourceware.org/git/?p=glibc.git;a=tree;f=localedata/locales;hb=HEAD' | grep -o '/git/[^"]*a=blob_plain;[^"]*'`; do \
	    locale=`echo "$$link" | sed -r 's_.*/([a-zA-Z0-9@_]+);.*$$_\1_'`; \
	    wget -O locales/$$locale "http://sourceware.org$$link"; \
	done
	wget -O- 'http://sourceware.org/git/?p=glibc.git;a=blob_plain;f=localedata/SUPPORTED;hb=HEAD' > SUPPORTED
